Draft Ellipse

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Ellipse and the translation is 82% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
Arrow-left.svg Draft Arc.svg Kreisbogen Vorherige:
Nächste: Polygon Draft Polygon.svg Arrow-right.svg

Draft Ellipse.svg Draft Ellipse

Menüeintrag
Draft → Ellipse
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
E L
In der Version eingeführt
0.7
Siehe auch
Kreis, Template:Draft Arc/de


Beschreibung

Das Ellipsen-Werkzeug erstellt eine Ellipse in der aktuellen Arbeitsebene durch Eingabe von zwei Punkten zur Definition der Eckpunkte eines Rechtecks, in das die Ellipse passt. Dabei werden die vorher im Draft Tray festgelegte Linienbreite und -farbe verwendet.

This tool can also be used to create elliptical arcs by specifying the start and end angles. To create circles and circular arcs use the Draft Circle and Draft Arc tools. You can also approximate an elliptical or circular arc using the Draft BSpline and Draft BezCurve tools.

Draft ellipse example.jpg

Ellipse definiert durch die Ecken eines Rechtecks


Anwendung

  1. Drücke den Draft Ellipse.png Draft Ellipse-Button oder Taste E und dann Taste L auf Tastatur.
  2. Klicke einen ersten Punkt in der 3D-Ansicht oder

gib eine Koordinate ein und drücke die Schaltfläche Draft AddPoint.svg Punkt hinzufügen.

  1. Klicke einen zweiten Punkt in der 3D-Ansicht oder

gib eine Koordinate ein und drücke die Schaltfläche Draft AddPoint.svg Punkt hinzufügen.

Die Ellipse kann nach der Erstellung in einen elliptischen Bogen umgewandelt werden, indem die 'First Angle'- und 'Last Angle'-Eigenschaften auf unterschiedliche Werte eingestellt werden.

Optionen

  • Um Koordinaten manuell einzugeben, gib einfach die Ziffern ein, drücke dann Enter zwischen den X-, Y- und Z-Komponenten.
  • Drücke Alt+N oder klicke das Ankreuzkästchen zum de/aktivieren des Nächstes-Buttons. Wenn der Fortsetzungsmodus aktiviert ist, wird das Ellipsen-Werkzeug nach Eingabe des zweiten Punkts neugestartet, um das Zeichnen einer weiteren Ellipse ohne erneutes Drücken des Ellipsen-Buttons zu ermöglichen.
  • Drücke Strg während des Zeichnens, um das Einrasten Deines Punkts an der nächsten Einrastposition zu erzwingen, unabhängig vom Abstand.
  • Drücke Shift während des Zeichnens, um Deinen Punkt horizontal oder vertikal in Relation zum ersten einzuschränken.
  • Drücke Esc oder den Abbrechen-Button, um den aktuellen Befehl abzubrechen
  • Ellipsen können durch Setzen der Pattern-Eigenschaft (s.u.) im Flache Linien-Anzeigemodus eine Schraffur anzeigen.

Eigenschaften

Eigenschaften

Ein Ellipse-Objekt viele gleiche Eigenschaften wie ein Kreis, aber einige Eigenschaften sind nur bei einer Ellipse sinnvoll.

  • Daten-EigenschaftMajor Radius: Der große Radius der Ellipse
  • Daten-EigenschaftMinor Radius: Der kleine Radius der Ellipse
  • Daten-EigenschaftMake Face: Füllt die Ellipse mit einer Oberfläche
  • Ansicht EigenschaftPattern: Gibt ein Schraffurmuster an zum Ausfüllen der Ellipse
  • Ansicht EigenschaftPattern Size: Gibt die Größe des Schraffurmusters an

Ansicht

  • Ansicht EigenschaftPattern: definiert ein Muster, mit dem die Oberfläche gefüllt wird. Diese Eigenschaft funktioniert nur, wenn Daten-EigenschaftMake Face auf True und Ansicht EigenschaftDisplay Mode auf "Flat Lines" gesetzt ist.
  • Ansicht EigenschaftPattern Size: gibt die Größe des Musters an.

Scripting

Siehe auch: Draft API und FreeCAD Scripting Basics.

Das Ellipse-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

Ellipse = makeEllipse(majradius, minradius, placement=None, face=True, support=None)
  • Erstellt ein Ellipsenobjekt mit einem großen und kleinen Radius.
  • Wenn ein Placement angegeben ist, wird es benutzt.
  • Wenn 'facemode' auf False gesetzt ist, wird die Ellipse als Drahtmodell angezeigt, andernfalls als Oberfläche.
  • Liefert das neu erzeugte Objekt zurück.

Beispiel:

import FreeCAD, Draft

Ellipse1 =  Draft.makeEllipse(3000, 200)
Ellipse2 =  Draft.makeEllipse(700, 1000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Ellipse3 =  Draft.makeEllipse(700, 1000, placement=place3)
Arrow-left.svg Draft Arc.svg Kreisbogen Vorherige:
Nächste: Polygon Draft Polygon.svg Arrow-right.svg